function cases_Lisa_SR35_earlyCommissioning_T1200307();

%[input power, SRC phase, T_SRM, T_ITM, T_PRM, homodyne phase]


CASE1low= [ 10, 0, 0.35, 0.014, 0.027, pi/2];
CASE1high= [ 15, 0, 0.35, 0.014, 0.027, pi/2];

CASE2low= [  15, 0, 0.35, 0.014, 0.027, pi/2];
CASE2high= [  25, 0, 0.35, 0.014, 0.027, pi/2];

CASE3low= [  25, 0, 0.35, 0.014, 0.027, pi/2];
CASE3high= [  40, 0, 0.35, 0.014, 0.027, pi/2];

ZERODETlow=[40, 0  , 0.2, 0.014, 0.027, 116/180*pi];
ZERODET=[125, 0  , 0.2, 0.014, 0.027, 116/180*pi];


[y(1,:),f, scoreCASE1low] = callGwincExc(CASE1low, 1.7e-22);
[y(5,:),f, scoreCASE1high] = callGwincExc(CASE1high, 0.37e-22);
[y(2,:),f, scoreCASE2low] = callGwincExc(CASE2low, 0.37e-22);
[y(6,:),f, scoreCASE2high] = callGwincExc(CASE2high, 1.6e-23);
[y(3,:),f, scoreCASE3low] = callGwincExc(CASE3low, 1.6e-23);
[y(7,:),f, scoreCASE3high] = callGwincExc(CASE3high, 0.33e-23);
[y(8,:),f, scoreDESIGNlow] = callGwincExc(ZERODETlow, 0.4e-23);
[y(4,:),f, scoreDESIGN] = callGwincExc(ZERODET, 0);


% figure(1)
% % Produce figure with error bar colors

alpha(0.1)
loglog(f,sqrt(y(5,:)), 'm', f,sqrt(y(1,:)), 'm--');
hold on;
ciplot(sqrt(y(1,:)),sqrt(y(5,:)),f,[0.9 0.55 0.99]);
alpha(0.1)
loglog(f,sqrt(y(6,:)), 'b', f,sqrt(y(2,:)), 'b--');
ciplot(sqrt(y(2,:)),sqrt(y(6,:)),f,[0.55 0.99 0.99]);
loglog(f,sqrt(y(7,:)), 'g', f,sqrt(y(3,:)), 'g--');
ciplot(sqrt(y(3,:)),sqrt(y(7,:)),f,[0.8 0.9 0.55]);
loglog(f, sqrt(y(4,:)), 'k');


grid on;
xlabel('Frequency [Hz]');
ylabel('Strain [1/\surdHz]');
title('AdvLIGO Configurations in the early commissioning phase');

% legCASE1low= sprintf('Early: ~%g Mpc (NS-NS)', round(scoreCASE1low.effr0ns))
% legCASE1high = sprintf('Early: ~%g Mpc (NS-NS)', round(scoreCASE1high.effr0ns))
% legCASE2low= sprintf('Mid: ~%g Mpc (NS-NS)', round(scoreCASE2low.effr0ns))
% legCASE2high = sprintf('Mid: ~%g Mpc (NS-NS)', round(scoreCASE2high.effr0ns))
% legCASE3low= sprintf('Mid: ~%g Mpc (NS-NS)', round(scoreCASE3low.effr0ns))
% legCASE3high = sprintf('Mid: ~%g Mpc (NS-NS)', round(scoreCASE3high.effr0ns))
% 
% 
% legDESIGN = sprintf('Nominal aLIGO => ~%g Mpc (NS-NS)', round(scoreDESIGN.effr0ns));
% legDESIGNlow = sprintf('Nominal aLIGO => ~%g Mpc (NS-NS)', round(scoreDESIGNlow.effr0ns));
% 
% legend(legCASE1low,legCASE1high, legCASE2low,legCASE2high, legCASE3low,legCASE3high, legDESIGN);
% axis([9.9,8192,1e-24,3.1e-21]);

f = f.';

h_Early_low = sqrt(y(1,:)).';
h_Early_high = sqrt(y(5,:)).';
h_Mid_low = sqrt(y(2,:)).';
h_Mid_high = sqrt(y(6,:)).';
h_Late_low = sqrt(y(3,:)).';
h_Late_high = sqrt(y(7,:)).';

h_aLIGO_nominal = sqrt(y(4,:)).';

savefilefreq = 'freqVector.txt';
savefileEarly_low = 'dataEarly_low.txt';
savefileEarly_high = 'dataEarly_high.txt';
savefileMid_low = 'dataMid_low.txt';
savefileMid_high = 'dataMid_high.txt';
savefileLate_low = 'dataLate_low.txt';
savefileLate_high = 'dataLate_high.txt';
savefileNominal = 'dataNOMaLIGO.txt';

save(savefilefreq, 'f', '-ascii')
save(savefileEarly_low, 'h_Early_low','-ascii')
save(savefileEarly_high, 'h_Early_high','-ascii')
save(savefileMid_low, 'h_Mid_low','-ascii')
save(savefileMid_high, 'h_Mid_high','-ascii')
save(savefileLate_low, 'h_Late_low','-ascii')
save(savefileLate_high, 'h_Late_high','-ascii')
save(savefileNominal, 'h_aLIGO_nominal', '-ascii')

return







function [y,f,score]=callGwincExc(x, lowfNoise)
shotradmode = 2;
ifo = IFOModel;
src=SourceModelExc;
src.lowfNoise = lowfNoise;
tprmind=5;
scmode=0;
f_seis = 9;   % Seismic Wall Cutoff frequency
f_Nyq = 8192; % Fake Nyquist frequency
variate=[0,0,0,0,0,0];

   if length(x)>tprmind
     ifo.Optics.Quadrature.dc=x(6);
   end;
   switch variate(tprmind)
     case 1,
       [sss,nnn] = gwincExcNoise(f_seis,f_Nyq,ifo, src,shotradmode,x(1),x(2),x(3),x(4),x(tprmind));
     otherwise,
       [sss,nnn] = gwincExcNoise(f_seis,f_Nyq,ifo, src,shotradmode,x(1),x(2),x(3),x(4));
   end;

   y=nnn.Total;
   f=nnn.Freq;
   score = sss;
return



